# Uses of Class
java.awt.GraphicsConfigTemplate

Packages that use GraphicsConfigTemplate
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of GraphicsConfigTemplate in java.awt

Methods in java.awt with parameters of type GraphicsConfigTemplate
Modifier and Type
Method
Description
`GraphicsConfiguration`
GraphicsDevice.`getBestConfiguration​(GraphicsConfigTemplate gct)`
Returns the "best" configuration possible that passes the criteria defined in the `GraphicsConfigTemplate`.